(function ($) {

  Drupal.behaviors.contextlySettingsForm = function (context) {
    // Submit "Contextly settings" button in new tab/window.
    $('input.contextly-settings-button:not(.contextly-button-processed)', context)
      .addClass('contextly-button-processed')
      .click(function() {
        var form = $(this).parents('form:first');
        form.attr('target', '_blank');

        // Remove attribute a bit later.
        setTimeout(function() {
          form.removeAttr('target');
        }, 100);
      });

    // Hide detailed options when the "All" checkbox is checked.
    var onUseAllChange = function () {
      var $this = $(this);
      var detailed = $this
        .parents('form:first')
        .find('.contextly-settings-detailed')
        .parents('.form-item');
      if ($this.is(':checked')) {
        detailed.hide();
      }
      else {
        detailed.show();
      }
    };
    $('input.contextly-settings-use-all:not(.contextly-settings-processed)', context)
      .addClass('contextly-settings-processed')
      .change(onUseAllChange)
      .each(onUseAllChange);
  };

})(jQuery);
